/*
 * Copyright (C) 2023, KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Authors: wangyan <wangyan@kylinos.cn>
 *
 */

#ifndef INPUTDEVICEMONITOR_H
#define INPUTDEVICEMONITOR_H

#include <QObject>

class InputDeviceMonitor : public QObject
{
    Q_OBJECT
public:
    static InputDeviceMonitor* create(QObject* parent = nullptr);
    explicit InputDeviceMonitor(QObject* parent = nullptr);

    InputDeviceMonitor(const InputDeviceMonitor& monitor) = delete;
    InputDeviceMonitor& operator=(const InputDeviceMonitor&) = delete;

signals:
    void deviceAdded(int deviceid);
    void deviceRemoved(int deviceid);
    void deviceEnabled(int deviceid);
    void deviceDisabled(int deviceid);

};
#endif // INPUTDEVICEMONITOR_H
